Skip to content
NEWCollect for MSMEs: UPI Autopay, eNACH & remindersExplore app ↗

List Discounts

Use this API to fetch discount codes supported for student fee configuration.

GET /api/v1/integrations/erp/discounts
Terminal window
curl -X GET 'https://[base_url]/api/v1/integrations/erp/discounts?collector_code=ed3ef2db524f' \
-H 'Content-Type: application/json' \
-H 'Authorization: Basic <token>'
ParameterTypeRequiredDescription
collector_codestringConditionalRequired when the institute is part of a group or has branch-specific configuration.

HTTP 200

{
"status": "success",
"data": [
{
"discount_type": "SIBLINGS",
"name": "Siblings"
},
{
"discount_type": "MANAGEMENT",
"name": "Management"
}
]
}
AttributeTypeDescription
data[].discount_typestringDiscount code to send in fee payloads.
data[].namestringDiscount display name.